<?php
/*
 * No direct access to this file
 */
if (! isset($data)) {
    exit;
}

include_once '_top-area.php';
?>
<div class="wrap wpacu-get-help-wrap">
    <h1>Asset CleanUp</h1>
    <div class="help-content-wrap">
        <div class="help-content upgrade-help">
            <h2 class="content-title"><?php _e('I have purchased the Pro version. How to do the upgrade?', WPACU_PLUGIN_NAME); ?></h2>
            <ul>
                <li><strong>1)</strong> Go to "Plugins" -&gt; "Installed Plugins", <strong>deactivate</strong> and then <strong>delete</strong> "Asset CleanUp: Page Speed Booster" (<em>no worries, any settings applied would be preserved</em>)
                    <div style="width: 100%; margin: 0 auto;">
                        <div class="wpacu-image-area wpacu-deactivate" style="float: left; width: 48%;">
                            <img src="<?php echo WPACU_PLUGIN_URL; ?>/assets/images/wpacu-upgrade-steps/wpacu-upgrade-step-1-deactivate.jpg" alt="" />
                        </div>

                        <div class="wpacu-image-area wpacu-delete" style="float: right; width: 48%;">
                            <img src="<?php echo WPACU_PLUGIN_URL; ?>/assets/images/wpacu-upgrade-steps/wpacu-upgrade-step-1-delete.jpg" alt="" />
                        </div>
                        <div class="clear"></div>
                        <hr />
                    </div>
                </li>
                <li><strong>2)</strong> Go to "Plugins" -&gt; "Add New" -&gt; "Upload Plugin"; You will notice an upload form and an "Install Now" submit button. Download the ZIP file you received in your purchase email receipt (<em>example: wp-asset-clean-up-pro-v1.0.8.5.zip</em>), attach it to the form and install the new upgraded plugin.
                    <div class="wpacu-image-area">
                        <img src="<?php echo WPACU_PLUGIN_URL; ?>/assets/images/wpacu-upgrade-steps/wpacu-upgrade-step-2-choose-file.jpg" alt="" />
                    </div>
                    <hr />
                </li>
                <li><strong>3)</strong> Finally, <strong>activate</strong> Asset CleanUp Pro! That's it <span class="dashicons dashicons-smiley"></span>
                    <div class="wpacu-image-area">
                        <img src="<?php echo WPACU_PLUGIN_URL; ?>/assets/images/wpacu-upgrade-steps/wpacu-upgrade-step-3-activate-plugin.jpg" style="max-width: 280px;" alt="" />
                    </div>
                </li>
            </ul>

            <p><strong>Reminder:</strong> Once the Pro version is active, make sure to get the license key from the purchase email receipt and activate it in "License" in order to be eligible for plugin updates from the Dashboard.</p>
        </div>

        <div class="help-content tech-help second">
            <h2 class="content-title"><?php _e('I am stuck and need assistance, can I get help?', WPACU_PLUGIN_NAME); ?></h2>

            <p>If you believe the plugin has a bug (e.g. you're getting JavaScript or PHP errors generated by Asset CleanUp or the selected scripts are not unloading etc.) that needs to be fixed, then <a href="https://wordpress.org/support/plugin/wp-asset-clean-up">please report it by opening a support ticket</a>.</p>
            <p>Note that the support forum from WordPress.org is only for reporting bugs about Asset CleanUp (lite version) and it's not for custom work request.</p>

            <p>In case you need professional help in one of the following scenarios and you don't have a developer available to provide what you need, then me or any of my colleagues from <a href="https://app.codeable.io/tasks/new?ref=d3TOr">Codeable</a>, would be able to assist you:</p>

            <ul class="hire-reasons">
                <li><span class="dashicons dashicons-yes"></span> You have many CSS and JavaScript files loaded in a page and you're not sure which ones you could prevent from loading, worrying that something could be messed up. A Codeable expert could analyse your pages and give the advices needed.</li>
                <li><span class="dashicons dashicons-yes"></span> You want to improve the speed of your website and you need help getting a faster loading page and a better Google PageSpeed score.</li>
                <li><span class="dashicons dashicons-yes"></span> You need help with a WordPress task and you're looking for a professional to help you with whatever you need.</li>
            </ul>

            <p><strong>Getting started is easy:</strong></p>
            <ol class="getting-started">
                <li>Explain your website needs or problems</li>
                <li>The experts reach out to you with questions &amp; estimates.</li>
                <li>You choose the one you want to work with.</li>
            </ol>

            <div class="clear"></div>
            <hr /><br />

            <div class="wpacu-btns">
                <a class="btn btn-success" href="https://app.codeable.io/tasks/new?ref=d3TOr&preferredContractor=28168">Hire an Expert</a>
                &nbsp;&nbsp;
                <a class="btn btn-secondary" href="https://codeable.io/?ref=d3TOr">Find out more</a>
            </div>
        </div>
    </div>
</div>