<?php
if (! isset($data)) {
	exit;
}

foreach ($data['all']['styles'] as $obj) {
	$active = (isset($data['current']['styles']) && in_array($obj->handle, $data['current']['styles']));

	$class = $active ? 'wpacu_not_load' : '';
	$checked = $active ? 'checked="checked"' : '';

	/*
	 * $isGlobalRule is only used to apply a red background in the style's area to point out that the style is unloaded
	 *               is set to `true` if either the asset is unloaded everywhere or it's unloaded on a group of pages (such as all pages belonging to 'page' post type)
	*/
	$globalUnloaded = $bulkTypeUnloaded = $isPostTypeUnloaded = $isLoadException = $isGlobalRule = false;

	// Mark it as unloaded - Everywhere
	if (in_array($obj->handle, $data['global_unload']['styles'])) {
		$globalUnloaded = $isGlobalRule = true;
	}

	// Mark it as unloaded - for the Current Post Type
	if ($data['bulk_unloaded_type'] && in_array($obj->handle, $data['bulk_unloaded'][$data['bulk_unloaded_type']]['styles'])) {
		$bulkTypeUnloaded = $isGlobalRule = true;

		if ($data['bulk_unloaded_type'] === 'post_type') {
			$isPostTypeUnloaded = true;
		}
	}

	if ($isGlobalRule) {
		if (in_array($obj->handle, $data['load_exceptions']['styles'])) {
			$isLoadException = true;
		} else {
			$class .= ' wpacu_not_load';
		}
	}

	$class .= ' style_'.$obj->handle;

	$extraDataCSSList = (is_object($obj->extra) && isset($obj->extra->after)) ? $obj->extra->after : array();

	if (! $extraDataCSSList) {
		$extraDataCSSList = (is_array($obj->extra) && isset($obj->extra['after'])) ? $obj->extra['after'] : array();
	}
	?>
    <tr class="wpacu_asset_row <?php echo $class; ?>">
        <td valign="top" style="width: 100%;">
            <p style="margin-top: 0;">
                <label for="style_<?php echo $obj->handle; ?>"><?php _e('Handle:', WPACU_PLUGIN_NAME); ?> <strong><span style="color: green;"><?php echo $obj->handle; ?></span></strong></label>
				<?php
				if (isset($obj->wp) && $obj->wp) {
					?>
                    <span class="dashicons dashicons-warning wordpress-core-file"><span class="tooltip">WordPress Core File<br />Not sure if needed or not? In this case, it's better to leave it loaded to avoid breaking the website.</span></span>
					<?php
				}
				?>
            </p>

            <div style="padding: 5px 10px; margin: 15px 0; background: white; border: 1px solid #eee; border-radius: 5px;">
                <ul class="wpacu_asset_options" <?php /* [wpacu_lite] */ if ($globalUnloaded || $isPostTypeUnloaded) { /* [/wpacu_lite] */ echo 'style="display: none;"'; } ?>>
                    <li class="wpacu_unload_this_page">
                        <label class="wpacu_switch"><input class="input-unload-on-this-page" id="style_<?php echo $obj->handle; ?>" <?php /* [wpacu_lite] */ if ($globalUnloaded || $isPostTypeUnloaded) { /* [/wpacu_lite] */ echo 'disabled="disabled"'; } echo $checked; ?> name="<?php echo WPACU_PLUGIN_NAME; ?>[styles][]" type="checkbox" value="<?php echo $obj->handle; ?>" /><span class="wpacu_slider wpacu_round"></span></label> <label class="wpacu_slider_text" for="style_<?php echo $obj->handle; ?>">Unload on this page</label>
                    </li>
                </ul>

	            <?php
                /* [wpacu_lite] */ if ($globalUnloaded || $isPostTypeUnloaded) { /* [/wpacu_lite] */
                ?>
                    <em>"Unload on this page" rule is locked and irrelevant as there are global rules set below that overwrite it. Once all the rules below are removed, this option will become available again.</em>
                <?php
	            }
	            ?>
            </div>

            <div style="padding: 5px 10px; margin: 10px 0; background: white; border: 1px solid #eee; border-radius: 5px;">
				<?php
				// Unloaded Everywhere
				if ($globalUnloaded) {
					?>
                    <p><strong style="color: #d54e21;">This stylesheet file is unloaded everywhere</strong></p>
                    <div class="clear"></div>
					<?php
				}
				?>

                <ul class="wpacu_asset_options">
					<?php
					// [START] UNLOAD EVERYWHERE
					if ($globalUnloaded) {
						?>
                        <li>
                            <label><input data-handle="<?php echo $obj->handle; ?>"
                                          class="wpacu_global_option wpacu_style"
                                          type="radio"
                                          name="wpacu_options_styles[<?php echo $obj->handle; ?>]"
                                          checked="checked"
                                          value="default" />
                                Keep the unload global rule</label>
                        </li>

                        <li>
                            <label><input data-handle="<?php echo $obj->handle; ?>"
                                          class="wpacu_global_option wpacu_style"
                                          type="radio"
                                          name="wpacu_options_styles[<?php echo $obj->handle; ?>]"
                                          value="remove" />
                                Remove global unload rule</label>
                        </li>
						<?php
					} else {
						?>
                        <li>
                            <label><input data-handle="<?php echo $obj->handle; ?>"
                                          class="wpacu_global_unload wpacu_global_style"
                                          id="wpacu_global_unload_style_<?php echo $obj->handle; ?>" type="checkbox"
                                          name="wpacu_global_unload_styles[]" value="<?php echo $obj->handle; ?>"/>
                                Unload Everywhere <small>* bulk unload</small></label>
                        </li>
						<?php
					}
					// [END] UNLOAD EVERYWHERE
					?>
                </ul>
            </div>

			<?php if ($data['bulk_unloaded_type'] === 'post_type') { ?>
            <div style="padding: 5px 10px; margin: 15px 0; background: white; border: 1px solid #eee; border-radius: 5px;">
				<?php } ?>

				<?php
				// Unloaded On All Pages Belonging to the page's Post Type
				if ($isPostTypeUnloaded) {
					?>
                    <p><strong style="color: #d54e21;">This stylesheet file is unloaded on all <u><?php echo $data['post_type']; ?></u> post types.</strong></p>
                    <div class="clear"></div>
					<?php
				}
				?>

				<?php
				if ($data['bulk_unloaded_type'] === 'post_type') {
					?>
                    <ul class="wpacu_asset_options">
						<?php
						// [START] ALL PAGES HAVING THE SAME POST TYPE
						if ($isPostTypeUnloaded) {
							?>
                            <li>
                                <label><input data-handle="<?php echo $obj->handle; ?>"
                                              class="wpacu_bulk_option wpacu_style wpacu_keep_bulk_rule"
                                              type="radio"
                                              name="wpacu_options_post_type_styles[<?php echo $obj->handle; ?>]"
                                              checked="checked"
                                              value="default"/>
                                    Keep rule</label>
                            </li>

                            <li>
                                <label><input data-handle="<?php echo $obj->handle; ?>"
                                              class="wpacu_bulk_option wpacu_style wpacu_remove_bulk_rule"
                                              type="radio"
                                              name="wpacu_options_post_type_styles[<?php echo $obj->handle; ?>]"
                                              value="remove"/>
                                    Remove rule</label>
                            </li>
							<?php
						} else {
							?>
                            <li>
                                <label><input data-handle="<?php echo $obj->handle; ?>"
                                              class="wpacu_bulk_unload wpacu_post_type_unload wpacu_post_type_style"
                                              id="wpacu_bulk_unload_post_type_style_<?php echo $obj->handle; ?>"
                                              type="checkbox"
                                              name="wpacu_bulk_unload_styles[post_type][<?php echo $data['post_type']; ?>][]"
                                              value="<?php echo $obj->handle; ?>"/>
                                    Unload on All Pages of <strong><?php echo $data['post_type']; ?></strong> post type <small>* bulk unload</small></label>
                            </li>
							<?php
						}
						?>
                    </ul>
					<?php
				}
				// [END] ALL PAGES HAVING THE SAME POST TYPE
				?>

				<?php if ($data['bulk_unloaded_type'] === 'post_type') { ?>
            </div>
		<?php } ?>

			<?php
			// [wpacu_pro]
			do_action('wpacu_pro_bulk_unload_output', $data, $obj, 'css');
			// [/wpacu_pro]
			?>

            <ul class="wpacu_asset_options wpacu_exception_options_area">
                <li id="wpacu_load_it_option_style_<?php echo $obj->handle; ?>">
                    <label><input data-handle="<?php echo $obj->handle; ?>"
                                  id="wpacu_style_load_it_<?php echo $obj->handle; ?>"
                                  class="wpacu_load_it_option wpacu_style wpacu_load_exception"
                                  type="checkbox"
							<?php if ($isLoadException) { ?> checked="checked" <?php } ?>
                                  name="wpacu_styles_load_it[]"
                                  value="<?php echo $obj->handle; ?>"/>
                        Load it on this page (make exception<?php if (! $isGlobalRule) { echo ' * works only IF any of bulk rule above is selected'; } ?>)</label>
                </li>
            </ul>
			<?php
			if (isset($obj->src) && $obj->src != '') {
				?>
                <p><strong><?php _e('Source:', WPACU_PLUGIN_NAME); ?></strong> <a target="_blank" href="<?php echo $obj->srcHref; ?>"><?php echo $obj->src; ?></a></p>
			<?php }

			if (! empty($extraDataCSSList)) { ?>
                <p><strong><?php _e('Inline styling associated with the handle:', WPACU_PLUGIN_NAME); ?></strong></p>
                <p style="margin-bottom: 15px;"><?php foreach ($extraDataCSSList as $extraDataCSS) {
                        echo '<em>'.htmlspecialchars($extraDataCSS).'</em>'.'<br />';
                    } ?></p>
				<?php
			}

			$extraInfo = array();

			if (! empty($obj->deps)) {
				$extraInfo[] = '<strong>'.__('Depends on:', WPACU_PLUGIN_NAME).'</strong> '.implode(', ', $obj->deps);
			}

			if ($obj->ver) {
				$extraInfo[] = '<strong>'.__('Version:', WPACU_PLUGIN_NAME).'</strong> '.$obj->ver;
			}

			// [wpacu_lite]
			$extraInfo[] = '<strong>'.__('File Size:', WPACU_PLUGIN_NAME).'</strong> <a href="'.WPACU_PLUGIN_GO_PRO_URL.'?utm_source=manage_asset&utm_medium=file_size" class="go-pro-link-no-style"><span class="tooltip">Upgrade to Pro to unlock all features</span><img width="20" height="20" src="'.WPACU_PLUGIN_URL.'/assets/icons/icon-lock.svg" valign="top" alt="" /> Pro Version</a>';
			// [/wpacu_lite]

			if (! empty($extraInfo)) {
				echo '<p>'.implode(' &nbsp;/&nbsp; ', $extraInfo).'</p>';
			}
			?>
        </td>
    </tr>
	<?php
}
